date: 2006-07-06 11:25:41
ispublic: 1
source: http://farm1.static.flickr.com/62/202897027_85c618b44a_o.jpg
tags: people, bands, St.Petersburg, Russia, showcase, Dead Channel
title: Boat trip
url: http://www.flickr.com/photos/umonkey/202897027/
---
Photo courtesy of Paul Toohil.

&quot;The Russians&quot;